
<!-- README.md is generated from README.Rmd. Please edit that file -->

# camtrapmonitoring

[![Project Status: Active – The project has reached a stable, usable
state and is being actively
developed.](https://www.repostatus.org/badges/latest/active.svg)](https://www.repostatus.org/#active)
[![camtrapmonitoring status
badge](https://robitalec.r-universe.dev/badges/camtrapmonitoring)](https://robitalec.r-universe.dev/camtrapmonitoring)
[![CRAN](https://www.r-pkg.org/badges/version/camtrapmonitoring)](https://cran.r-project.org/package=camtrapmonitoring)

{camtrapmonitoring} is an R package for camera trap monitoring for
estimating wildlife density.

- Candidate camera trap locations are sampled in a region of interest
- Spatial layers are used to evaluate characteristics and deployment
  feasibility of locations
- Candidate locations are ordered and selected by user criteria
- Grids are optionally established around focal locations
- (Soon) density estimation methods

## Installation

You can install the development version of camtrapmonitoring with:

``` r
# r-universe
install.packages('camtrapmonitoring', repos = c('https://robitalec.r-universe.dev', 'https://cloud.r-project.org'))

# Or {remotes}
remotes::install_github('robitalec/camtrapmonitoring')
```

This package depends on {sf}, {terra}, and {distanceto}.

More details on installation here:

- [`sf`: Installing](https://r-spatial.github.io/sf/#installing)
- [`terra`: Installing](https://rspatial.github.io/terra/#installation)

## Name

This package was previously named {wildcam} but renamed to
{camtrapmonitoring} to reflect broadened scope of package from planning
camera trap surveys to community based monitoring of wildlife and
density estimation, and to avoid confusion with other projects using
camera traps named wildcam or similar.
